darcs-2.16.5: a distributed, interactive, smart revision control system

Safe Haskell | Safe-Inferred
Language | Haskell2010

Darcs.UI.Commands.Util.Tree

Contents

- Tree lookup.

Synopsis

- treeHas :: Monad m => Tree m -> AnchoredPath -> m Bool
- treeHasDir :: Monad m => Tree m -> AnchoredPath -> m Bool
- treeHasFile :: Monad m => Tree m -> AnchoredPath -> m Bool
- treeHasAnycase :: Monad m => Tree m -> AnchoredPath -> m Bool

# Tree lookup.

treeHas :: Monad m => Tree m -> AnchoredPath -> m Bool #

treeHasDir :: Monad m => Tree m -> AnchoredPath -> m Bool #

treeHasFile :: Monad m => Tree m -> AnchoredPath -> m Bool #

treeHasAnycase :: Monad m => Tree m -> AnchoredPath -> m Bool #